name: small-sandbox

provider: OpenStack

hosts:
  - name: server
    base_box:
      image: debian-9-x86_64
      man_user: debian
    flavor: csirtmu.tiny1x2
    hidden: True

  - name: home
    base_box:
      image: debian-9-x86_64
      man_user: debian
    flavor: csirtmu.tiny1x2

routers:
  - name: server-router
    cidr: 100.100.100.0/29
    base_box:
      image: debian-9-x86_64
      man_user: debian
    flavor: csirtmu.tiny1x2

  - name: home-router
    base_box:
      image: debian-9-x86_64
      man_user: debian
    cidr: 200.100.100.0/29
    flavor: csirtmu.tiny1x2

networks:
  - name: server-switch
    cidr: 10.10.20.0/24
    accessible_by_user: False
  - name: home-switch
    cidr: 10.10.30.0/24

net_mappings:
  - host: server
    network: server-switch
    ip: 10.10.20.5

  - host: home
    network: home-switch
    ip: 10.10.30.5

router_mappings:
  - router: server-router
    network: server-switch
    ip: 10.10.20.1

  - router: home-router
    network: home-switch
    ip: 10.10.30.1

groups:
  - name: user-accessible
    nodes:
      - home
      - home-router